'@(#)laserjet.F	12.8 9/20/88'

init string escape sequences:
esc-&
    a5L  : set left margin to 5
    10o  : set portrait orientation
    7.27c: set line spacing to 7.27/48 inch
    66F  : set 66 lines/page

esc-):  secondary font characteristics...
esc-(:  primary font

esc-)0U   : us ascii character set
esc-)s
    1P   : proportional spacing
    10V  : 10 point
    0S   : upright
    0B   : medium weight
    5T   : typeface = Times Rmn

HMI FORMAT order
units, min, max, decimal places, format, relative, magic, reset
NOTE:  don't use esc-E for deinit for the fonts.  It resets EVERYTHING,
including the top of page and causes a form feed!
In general, the fonts don't need a deinit sequence, since
the init sequence contains the full escape sequence to absolutely
select the given font.

This file contains printer capabilities and font informatiion
for the hp laserjet with font cartridge '#92286F' installed.

Note on bin selections: the BIN entries in this file
assume a laserjet printer with a single paper cassette plus
manual feed for paper/envelopes.

BIN1 is the default and selects the standard paper cassette.
The string to select this bin will always be sent if defined,
in the absence of specific other selections.

BIN2 string selects manual feed slot standard paper.

BIN3 string selects manual feed slot for envelopes.

No double-underlining, this cartridge uses proportional fonts

((FONTTABLE
Courier.10
Courier.10.Bold
TimesRmn.8
TimesRmn.10
TimesRmn.10.Bold
TimesRmn.10.Ital
Helvetica.14.Bold
LinePrinter.16
))


((laserjet.F
INIT=27-'E'-27-'&l0o7.27c66F'
A=27-'(s6B',27-'(s0B'
C=27-'&dD',27-'&d'-64
E=27-'(s6B'-27-'&dD',27-'(s0B'-27-'&d'-64
F=27-'&a-45V',27-'&a+45V'
G=27-'&a+45V',27-'&a-45V'
I=27-'(s1S',27-'(s0S'
W=92-'*',92
X=92-'*',176
HMI=27-'&k'-35-'H'
HMIFMT='120','0','126','4','A','F','0','T'
BIN1=27-'&11H'
BIN2=27-'&12H'
BIN3=27-'&13H'
HLF=27-'='
))

((GKEYS
GS=0
GE=0
G1='+'
G2='+'
G3='+'
G4='+'
GH='-'
GV=124
GU='+'
GD='+'
GL='+'
GR='+'
GC='+'
))

((Courier.10
FINIT=27-'(8U'-27-'(s0p10h12v0s0b3T'
BOLD=27-'(s6B',27-'(s0B'
PFLAG='F'
PSIZE='10'
))

((LinePrinter.16
FINIT=27-'(8U'-27-'(s0p16.66h8.5v0s0b0T'
PFLAG='F'
PSIZE='16'
))

FINIT:  complete escape seq. for this font.
FDEINT: set everything back to default

font description for times roman 10 point proportional

((TimesRmn.10
FINIT=27-'(0U'-27-'(s1p10v0s0b5T'
PFLAG='T'
PSIZE='10'
WTABLES='((tr10med','((tr10bold','((tr10ital',''
BOLD=27-'(s3B',27-'(s0B'
ITALICS=27-'(s1S',27-'(s0S'
WUNITS='300'
))


times roman 8 point only comes in "medium" type.
no BOLD, ITALICS for this font

((TimesRmn.8
FINIT=27-'(0U'-27-'(s1p8v0s0b5T'
PFLAG='T'
PSIZE='8'
WTABLES='((tr8med','','',''
WUNITS='300'
))

Helvetica 14.4 point font (use plain 14 point!)
No "medium" or "italics" for this font

((Helvetica.14
FINIT=27-'(0U'-27-'(s1p14.4v0s3b4T'
PFLAG='T'
PSIZE='14'
WTABLES='','((hv14bold','',''
WUNITS='300'
))
width table for  8 point times roman medium

((tr8med
 32:11,  33:10,  34:15,  35:29,  36:18,  37:29,  38:27,  39:10,
 40:14,  41:14,  42:18,  43:23,  44:10,  45:18,  46:10,  47:18,
 48:18,  49:18,  50:18,  51:18,  52:18,  53:18,  54:18,  55:18,
 56:18,  57:18,  58:10,  59:10,  60:27,  61:27,  62:27,  63:17,
 64:27,  65:26,  66:25,  67:25,  68:27,  69:24,  70:23,  71:28,
 72:26,  73:13,  74:18,  75:27,  76:22,  77:32,  78:26,  79:27,
 80:24,  81:27,  82:26,  83:20,  84:25,  85:26,  86:26,  87:36,
 88:26,  89:26,  90:22,  91:10,  92:18,  93:10,  94:18,  95:26,
 96:10,  97:18,  98:20,  99:16, 100:20, 101:16, 102:11, 103:18,
104:20, 105:10, 106:13, 107:19, 108:10, 109:29, 110:20, 111:18,
112:20, 113:19, 114:14, 115:14, 116:14, 117:20, 118:19, 119:25,
120:19, 121:19, 122:16, 123:20, 124:9,  125:20, 126:18, 127:24,
128:25, 129:20, 130:16, 131:18, 132:18, 133:18, 134:18, 135:16,
136:16, 137:16, 138:16, 139:13, 140:13, 141:10, 142:26, 143:26,
144:24, 145:25, 146:32, 147:18, 148:18, 149:18, 150:20, 151:20,
152:19, 153:27, 154:26, 155:16, 156:18, 157:26, 158:24, 159:24,
160:18, 161:10, 162:18, 163:20, 164:20, 165:26, 166:12, 167:12,
168:17, 169:18, 170:18, 171:12, 172:12, 173:10, 174:20, 175:20,
176:26, 177:11, 178:11, 179:26, 180:25, 181:16, 182:26, 183:20,
184:10, 185:17, 186:22, 187:18, 188:26, 189:18, 190:24, 191:16,
192:18, 193:16, 194:18, 195:20, 196:18, 197:16, 198:18, 199:20,
200:18, 201:16, 202:18, 203:20, 204:18, 205:16, 206:18, 207:20,
208:26, 209:13, 210:27, 211:32, 212:18, 213:10, 214:18, 215:25,
216:26, 217:10, 218:27, 219:26, 220:24, 221:13, 222:18, 223:27,
224:26, 225:26, 226:18, 227:27, 228:20, 229:13, 230:13, 231:27,
232:27, 233:27, 234:18, 235:20, 236:14, 237:26, 238:26, 239:19,
240:24, 241:20, 242:11, 243:11, 244:11, 245:11, 246:29, 247:12,
248:12, 249:12, 250:12, 251:20, 252:15, 253:20, 254:20, 255:11
))

width table for 10 point times roman medium

((tr10med
 32:17,  33:12,  34:15,  35:30,  36:23,  37:35,  38:35,  39:12
 40:15,  41:16,  42:22,  43:23,  44:14,  45:23,  46:12,  47:21
 48:23,  49:23,  50:23,  51:23,  52:23,  53:23,  54:23,  55:23
 56:23,  57:23,  58:10,  59:12,  60:24,  61:25,  62:24,  63:22
 64:39,  65:35,  66:29,  67:31,  68:34,  69:30,  70:28,  71:36
 72:35,  73:16,  74:20,  75:38,  76:30,  77:42,  78:35,  79:33
 80:26,  81:33,  82:34,  83:22,  84:30,  85:37,  86:34,  87:38
 88:36,  89:33,  90:31,  91:13,  92:21,  93:14,  94:24,  95:35
 96:12,  97:21,  98:25,  99:21, 100:25, 101:21, 102:19, 103:23
104:25, 105:14, 106:17, 107:25, 108:13, 109:37, 110:25, 111:23
112:25, 113:24, 114:18, 115:17, 116:15, 117:25, 118:24, 119:34
120:24, 121:24, 122:20, 123:16, 124:8,  125:17, 126:26, 127:32
128:31, 129:25, 130:21, 131:21, 132:21, 133:21, 134:21, 135:21
136:21, 137:21, 138:21, 139:14, 140:14, 141:14, 142:34, 143:34
144:30, 145:31, 146:40, 147:23, 148:23, 149:23, 150:25, 151:25
152:24, 153:33, 154:37, 155:24, 156:23, 157:33, 158:26, 159:30
160:21, 161:14, 162:23, 163:25, 164:25, 165:35, 166:20, 167:20
168:22, 169:12, 170:16, 171:21, 172:21, 173:12, 174:26, 175:26
176:35, 177:17, 178:17, 179:16, 180:31, 181:21, 182:35, 183:25
184:12, 185:22, 186:30, 187:23, 188:33, 189:20, 190:30, 191:24
192:21, 193:21, 194:23, 195:25, 196:21, 197:21, 198:23, 199:25
200:21, 201:21, 202:23, 203:25, 204:21, 205:21, 206:23, 207:25
208:34, 209:14, 210:35, 211:40, 212:21, 213:14, 214:25, 215:31
216:34, 217:14, 218:33, 219:37, 220:30, 221:14, 222:26, 223:33
224:34, 225:34, 226:21, 227:36, 228:26, 229:16, 230:16, 231:33
232:33, 233:33, 234:23, 235:22, 236:17, 237:37, 238:33, 239:24
240:26, 241:26, 242:17, 243:17, 244:17, 245:17, 246:38, 247:21
248:21, 249:20, 250:20, 251:26, 252:25, 253:26, 254:24, 255:17
))

((tr10bold
 32:17,  33:14,  34:18,  35:28,  36:24,  37:39,  38:34,  39:12,
 40:18,  41:19,  42:18,  43:24,  44:14,  45:24,  46:14,  47:22,
 48:24,  49:24,  50:24,  51:24,  52:24,  53:24,  54:24,  55:24,
 56:24,  57:24,  58:12,  59:12,  60:25,  61:26,  62:25,  63:22,
 64:40,  65:32,  66:31,  67:31,  68:32,  69:29,  70:27,  71:35,
 72:37,  73:18,  74:24,  75:33,  76:29,  77:39,  78:33,  79:34,
 80:28,  81:34,  82:32,  83:26,  84:30,  85:35,  86:33,  87:40,
 88:32,  89:31,  90:32,  91:13,  92:22,  93:14,  94:26,  95:33,
 96:12,  97:23,  98:24,  99:21, 100:24, 101:21, 102:19, 103:23,
104:27, 105:14, 106:17, 107:26, 108:14, 109:36, 110:25, 111:23,
112:24, 113:24, 114:18, 115:18, 116:16, 117:24, 118:20, 119:32,
120:24, 121:23, 122:20, 123:16, 124:8,  125:17, 126:30, 127:32,
128:31, 129:24, 130:21, 131:23, 132:23, 133:23, 134:23, 135:21,
136:21, 137:21, 138:21, 139:15, 140:15, 141:14, 142:32, 143:32,
144:29, 145:29, 146:40, 147:23, 148:23, 149:23, 150:24, 151:24,
152:23, 153:34, 154:35, 155:23, 156:24, 157:31, 158:28, 159:32,
160:23, 161:14, 162:23, 163:24, 164:25, 165:33, 166:21, 167:20,
168:22, 169:12, 170:17, 171:19, 172:19, 173:14, 174:25, 175:25,
176:33, 177:17, 178:17, 179:13, 180:31, 181:21, 182:33, 183:25,
184:14, 185:22, 186:31, 187:24, 188:31, 189:21, 190:32, 191:23,
192:23, 193:21, 194:23, 195:24, 196:23, 197:21, 198:23, 199:24,
200:23, 201:21, 202:23, 203:24, 204:23, 205:21, 206:23, 207:24,
208:32, 209:15, 210:34, 211:40, 212:23, 213:14, 214:24, 215:29,
216:32, 217:14, 218:34, 219:35, 220:29, 221:15, 222:27, 223:34,
224:32, 225:32, 226:23, 227:34, 228:25, 229:18, 230:18, 231:34,
232:34, 233:34, 234:23, 235:26, 236:19, 237:35, 238:31, 239:23,
240:27, 241:25, 242:17, 243:17, 244:17, 245:17, 246:36, 247:19,
248:19, 249:21, 250:20, 251:25, 252:25, 253:25, 254:29, 255:17
))

((tr10ital
 32:17,  33:17,  34:18,  35:27,  36:23,  37:32,  38:32,  39:10,
 40:20,  41:20,  42:21,  43:23,  44:11,  45:23,  46:12,  47:31,
 48:23,  49:23,  50:23,  51:23,  52:23,  53:23,  54:23,  55:23,
 56:23,  57:23,  58:18,  59:17,  60:31,  61:26,  62:31,  63:21,
 64:42,  65:30,  66:29,  67:31,  68:33,  69:29,  70:29,  71:30,
 72:35,  73:19,  74:24,  75:31,  76:30,  77:40,  78:33,  79:33,
 80:28,  81:33,  82:32,  83:28,  84:30,  85:33,  86:31,  87:35,
 88:34,  89:29,  90:33,  91:24,  92:13,  93:24,  94:23,  95:33,
 96:10,  97:23,  98:22,  99:20, 100:26, 101:20, 102:21, 103:25,
104:23, 105:14, 106:21, 107:24, 108:15, 109:36, 110:23, 111:22,
112:24, 113:22, 114:18, 115:19, 116:14, 117:22, 118:19, 119:31,
120:26, 121:23, 122:23, 123:22, 124:7,  125:21, 126:25, 127:32,
128:31, 129:22, 130:20, 131:23, 132:23, 133:23, 134:23, 135:20,
136:20, 137:20, 138:20, 139:14, 140:13, 141:12, 142:30, 143:30,
144:29, 145:28, 146:41, 147:22, 148:22, 149:22, 150:22, 151:22,
152:23, 153:33, 154:33, 155:21, 156:29, 157:29, 158:28, 159:27,
160:23, 161:12, 162:22, 163:22, 164:23, 165:33, 166:19, 167:19,
168:21, 169:13, 170:16, 171:16, 172:16, 173:17, 174:23, 175:24,
176:33, 177:17, 178:17, 179:16, 180:31, 181:20, 182:33, 183:23,
184:17, 185:21, 186:29, 187:29, 188:29, 189:24, 190:27, 191:21,
192:23, 193:20, 194:22, 195:22, 196:23, 197:20, 198:22, 199:22,
200:23, 201:20, 202:22, 203:22, 204:23, 205:20, 206:22, 207:22,
208:30, 209:13, 210:33, 211:41, 212:23, 213:12, 214:22, 215:28,
216:30, 217:12, 218:33, 219:33, 220:29, 221:14, 222:26, 223:32,
224:30, 225:30, 226:23, 227:33, 228:26, 229:19, 230:19, 231:33,
232:33, 233:33, 234:22, 235:28, 236:19, 237:33, 238:29, 239:23,
240:27, 241:25, 242:17, 243:17, 244:17, 245:17, 246:36, 247:16,
248:16, 249:19, 250:19, 251:23, 252:24, 253:24, 254:31, 255:17,
))

width table for helvetica 14 point bold

((hv14bold
 32:20,  33:22,  34:28,  35:55,  36:33,  37:58,  38:50,  39:18,
 40:26,  41:26,  42:33,  43:33,  44:18,  45:33,  46:18,  47:31,
 48:33,  49:33,  50:33,  51:33,  52:33,  53:33,  54:33,  55:33,
 56:33,  57:33,  58:18,  59:18,  60:51,  61:51,  62:51,  63:35,
 64:52,  65:43,  66:41,  67:41,  68:44,  69:37,  70:34,  71:42,
 72:43,  73:16,  74:27,  75:44,  76:31,  77:54,  78:43,  79:45,
 80:40,  81:45,  82:40,  83:39,  84:43,  85:41,  86:44,  87:61,
 88:42,  89:41,  90:39,  91:22,  92:31,  93:20,  94:33,  95:47,
 96:18,  97:31,  98:34,  99:29, 100:33, 101:29, 102:20, 103:33,
104:34, 105:15, 106:20, 107:32, 108:15, 109:52, 110:34, 111:33,
112:34, 113:34, 114:22, 115:29, 116:24, 117:34, 118:32, 119:48,
120:32, 121:32, 122:28, 123:28, 124:12, 125:28, 126:42, 127:42,
128:41, 129:34, 130:29, 131:31, 132:31, 133:31, 134:31, 135:29,
136:29, 137:29, 138:29, 139:18, 140:16, 141:16, 142:43, 143:43,
144:37, 145:45, 146:57, 147:33, 148:33, 149:33, 150:34, 151:34,
152:32, 153:45, 154:41, 155:35, 156:37, 157:42, 158:40, 159:37,
160:31, 161:16, 162:33, 163:34, 164:34, 165:43, 166:29, 167:29,
168:35, 169:29, 170:33, 171:18, 172:18, 173:22, 174:32, 175:32,
176:47, 177:20, 178:20, 179:32, 180:41, 181:29, 182:43, 183:34,
184:22, 185:35, 186:33, 187:37, 188:42, 189:32, 190:37, 191:35,
192:31, 193:29, 194:33, 195:34, 196:31, 197:29, 198:33, 199:34,
200:31, 201:29, 202:33, 203:34, 204:31, 205:29, 206:33, 207:34,
208:43, 209:16, 210:44, 211:57, 212:31, 213:16, 214:33, 215:45,
216:43, 217:16, 218:45, 219:41, 220:37, 221:18, 222:36, 223:45,
224:43, 225:43, 226:31, 227:45, 228:34, 229:17, 230:16, 231:45,
232:45, 233:45, 234:33, 235:39, 236:29, 237:41, 238:40, 239:32,
240:40, 241:40, 242:20, 243:20, 244:20, 245:20, 246:50, 247:18,
248:18, 249:29, 250:29, 251:32, 252:29, 253:32, 254:36, 255:20,
))
